<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");

class PDF extends FPDF
{
	//Cabecera de Página
	function Header()
	{
	    //Logotipo
	   include("DYIM_VER.php");
	    //Arial Bold (10)
	    $this->SetFont('Arial','B',10);
	    
	
	    //Título
	    $this->Cell(190,1,'TASA DE AHORRO',0,1,'C');
	    //Salto de línea
	
		$this->Ln(8);
		$this->SetFont('Arial','',5);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(55,5,'',0,0,'C',0);
		$this->Cell(70,5,'ID',1,0,'C',1);
		$this->Cell(70,5,'DESCRIPCION',1,1,'C',1);
		}
		
	}
	//Pie de Página
	function Footer()
	{
	    //Posición: 1,5 cm del Final
	    $this->SetY(-15);
	    //Arial Italic 8
	    $this->SetFont('Arial','I',6);
	    //Número de página
	    $this->Cell(0,0, $this->PageNo(),0,0,'C');
	}
        
$pdf=new PDF('L','mm','Letter');
$pdf->AddPage();

$pdf->SetFillColor(49,120,200);
$pdf->SetFont('Arial','',6);//establece tamaño de letra


require_once("CA60000_CL.php");
$dbetasaho=new clase();
$dbdtasaho=new dtasaho();

if(isset($_POST['bot']))
	$sq_etasaho=$dbetasaho->lista_busqueda($_POST['bot']);
else
	$sq_etasaho=$dbetasaho->lista_completa();
$pdf->SetFillColor(240,240,240);
while($dt_etasaho=mysqli_fetch_array($sq_etasaho)){
	$pdf->SetFillColor(49,120,200);
	$pdf-> Cell(55,5,'',0,0,'',0);
	$pdf-> Cell(70,5, $dt_etasaho["id_etasaho"],1,0,'C',0);
	$pdf-> Cell(70,5, $dt_etasaho["des"],1,1,'C',0);
	$pdf-> Cell(75,5,'',0,0,'',0);	
	$pdf-> Cell(30,5,'FECHA DE VIGENCIA',1,0,'C',1);
	$pdf-> Cell(20,5,'SALDO MIN',1,0,'C',1);
	$pdf-> Cell(20,5,'SALDO MAX',1,0,'C',1);
	$pdf-> Cell(30,5,'PORCENTAJE',1,1,'C',1);
	$sq_dtasaho=$dbdtasaho->busByEnc($dt_etasaho["id_etasaho"]);
	while($dt_dtasaho=mysqli_fetch_array($sq_dtasaho)){
	    $pdf-> Cell(75,5,'',0,0,'',0);
		$pdf-> Cell(30,5, $dt_dtasaho["fec_vig"],1,0,'C',0);
		$pdf-> Cell(20,5, $dt_dtasaho["sal_min"],1,0,'C',0);
		$pdf-> Cell(20,5, $dt_dtasaho["sal_max"],1,0,'C',0);
		$pdf-> Cell(30,5, $dt_dtasaho["por"],1,1,'C',0);
	}
	$pdf->Ln(2);
}
	

$pdf->Output("TASA_DE_AHORRO.pdf","D");
?> 